#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:connectioncreationretryfrequency, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
    The number of seconds between attempts to establish connections to the database.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/ConnectionCreationRetryFrequencySeconds')

end
