#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:loadbalancingenabled, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  loadbalancingenabled

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('LoadBalancingParams/%{connection_factory_name}/LoadBalancingEnabled')

end
