#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xaenabled, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  xa enabled on the cf

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")
  defaultto 1

   maps_to('TransactionParams/%{connection_factory_name}/XAConnectionFactoryEnabled')

end
