#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:timetodeliver, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
  timetodeliver of the queue.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryParamsOverrides/%{queue_name}/TimeToDeliver')
end
