#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:batchsize, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-EOD
  The number of messages that are processed within one transaction.

  EOD
  include EasyType::Types::Integer
  data_type("Optional[Variant[Enum['absent'],Integer]]")


  maps_to('BatchSize')
end
