#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:transactiontimeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
  The amount of time, in seconds, that the transaction manager waits for each transaction before timing it out.

  EOD
  include EasyType::Types::Integer
  data_type("Optional[Variant[Enum['absent'],Integer]]")


  maps_to('TransactionTimeout')
end
