#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:testfrequency, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
  The number of seconds a WebLogic Server instance waits between attempts when testing unused connections.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCConnectionPoolParams/%{multi_datasource_name}/TestFrequencySeconds')

end
