#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:usetimetolivedefault, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  use time to live default of this SAF imported destination

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('UseSAFTimeToLiveDefault')

end
