#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:timetolivedefault, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  extend SAFImportedDestinationObjectProperty

  desc <<-EOD
  the SAF time to live default of this SAF imported destination

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

maps_to('TimeToLiveDefault')
end
