#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sslenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    The ssl enabled on the server.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to 'SSL/%{server_name}/Enabled'

end
