#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:stuckthreads, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  The stuckthreads of a workmanager

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('IgnoreStuckThreads')

end
