#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shrinkfrequencyseconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
    Shrink Frequency Seconds.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/ShrinkFrequencySeconds')

end
