#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:maximum_server_count, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
    The maximum server count of this cluster

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('MaximumDynamicServerCount')

end
