#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaultredeliverydelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-EOD
  The default redelivery delay

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

   maps_to('DefaultDeliveryParams/%{connection_factory_name}/DefaultRedeliveryDelay')

end
