#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:insertionpaused, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Insertion is paused at startup.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('InsertionPausedAtStartup')
end
