#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:redeliverydelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
  redeliverydelay of the queue

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryParamsOverrides/%{queue_name}/RedeliveryDelay')
end
