#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:redeliverylimit, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
  redeliverylimit of the topic

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryFailureParams/%{topic_name}/RedeliveryLimit')
end
