#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:number_of_restart_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
  number_of_restart_attempts

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  defaultto 2

  maps_to('NumberOfRestartAttempts')
end
