#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_http_number_of_files_limited, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    The number of http log files to keep.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('WebServer/%{server_name}/WebServerLog/%{server_name}/NumberOfFilesLimited')
end
