#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:logintimeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
    The HTTP Login Timeout of the server in milliseconds.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('LoginTimeoutMillis')

end
