#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:weblogic_plugin_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    The Weblogic Plugin Enabled on the server.

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('WeblogicPluginEnabled')
end
