#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:outboundenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    The channel outbound enabled on the server

  EOD

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('OutboundEnabled')

end
